FLCBYTBF-API FLUC C++ Stream Buffer Interface

Macros
Counting values

Defines integer values to define which statistical accounting value is requested by function fcbcount() or FCRCNT(). More...

## Macros
#define | FLC_INBOUND_COUNT 1
| Use input values. More...
#define | FLC_OUTBOUND_COUNT 2
| Use output values. More...
#define | FLC_FIO_COUNT 1
| Use values from File I/O. More...
#define | FLC_FMT_COUNT 2
| Use values from formatting. More...
#define | FLC_BYTE_COUNT 1
| Determine byte counts. More...
#define | FLC_UNIT_COUNT 2
| Determine unit (block or record) counts. More...

## Detailed Description

Defines integer values to define which statistical accounting value is requested by function fcbcount() or FCRCNT().

## Macro Definition Documentation

## ◆ FLC_INBOUND_COUNT

#define FLC_INBOUND_COUNT 1

Use input values.

## ◆ FLC_OUTBOUND_COUNT

#define FLC_OUTBOUND_COUNT 2

Use output values.

## ◆ FLC_FIO_COUNT

#define FLC_FIO_COUNT 1

Use values from File I/O.

## ◆ FLC_FMT_COUNT

#define FLC_FMT_COUNT 2

Use values from formatting.

## ◆ FLC_BYTE_COUNT

#define FLC_BYTE_COUNT 1

Determine byte counts.

## ◆ FLC_UNIT_COUNT

#define FLC_UNIT_COUNT 2

Determine unit (block or record) counts.